from flask import Blueprint
from common import render_page_template
from config_app.config_endpoints.common import generate_route_data
from util.cache import no_cache

setup_web = Blueprint('setup_web', __name__, template_folder='templates')


def render_page_template_with_routedata(name, *args, **kwargs):
    return render_page_template(name, generate_route_data(), *args, **kwargs)


@setup_web.route('/', methods=['GET'], defaults={'path': ''})
@no_cache
def index(path, **kwargs):
    return render_page_template_with_routedata('index.html', js_bundle_name='configapp', **kwargs)


